Extending Qt Creator Manual | CleanDialog

Extending Qt Creator Manual 4.5.2

# CleanDialog Class

(VcsBase::CleanDialog)

The CleanDialog class provides a file selector dialog for files not under version control. More...

Header: | #include <CleanDialog>

- List of all members, including inherited members

## Public Functions

| CleanDialog(QWidget *parent = 0)
| ~CleanDialog() override
void | setFileList(const QString &workingDirectory, const QStringList &files, const QStringList &ignoredFiles)

## Public Slots

void | accept() override

## Detailed Description

The CleanDialog class provides a file selector dialog for files not under version control.

Completely clean a directory under version control from all files that are not under version control based on a list generated from the version control system. Presents the user with a checkable list of files and/or directories. Double click opens a file.

## Member Function Documentation

### CleanDialog::CleanDialog(QWidget *parent = 0)

Default constructs an instance of CleanDialog.

### CleanDialog::~CleanDialog()

Destroys the instance of CleanDialog.

### `[slot]` void CleanDialog::accept()

### void CleanDialog::setFileList(const QString &workingDirectory, const QStringList &files, const QStringList &ignoredFiles)